summaryrefslogtreecommitdiffstats
path: root/test/bctest
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>2000-12-08 08:30:38 +0000
committerBodo Möller <bodo@openssl.org>2000-12-08 08:30:38 +0000
commitc5e48d8b0143e7f69c6f5bc9ca8e3ba6e4566a78 (patch)
tree314af59daec1bc27abbc3c7a02309bd6bb74f8c5 /test/bctest
parent8dea52fa4270a71535b2677953662499946f02e3 (diff)
Placeholder for SCO bc bug detection
Diffstat (limited to 'test/bctest')
-rwxr-xr-xtest/bctest29
1 files changed, 21 insertions, 8 deletions
diff --git a/test/bctest b/test/bctest
index 33fa79d7cf..4e3a266bc2 100755
--- a/test/bctest
+++ b/test/bctest
@@ -29,16 +29,29 @@ then
echo "bc does not work. Consider installing GNU bc." >&2
echo "cat >/dev/null"
exit 1
-else
- # bc works, good.
- # Now check if it knows the 'print' command.
- if [ "OK" = "`bc 2>/dev/null <<\EOF
+fi
+
+
+# insert SCO bc test case here:
+if [ 0 != "`bc <<\EOF
+0
+EOF`" ]
+then
+ echo "bc does not work. Consider installing GNU bc." >&2
+ echo "cat >/dev/null"
+ exit 1
+fi
+
+
+# bc works, good.
+# Now check if it knows the 'print' command.
+if [ "OK" = "`bc 2>/dev/null <<\EOF
print \"OK\"
EOF`" ]
- then
+then
echo "bc"
- else
+else
echo "sed 's/print.*//' | bc"
- fi
- exit 0
fi
+
+exit 0